# Class CIM_SNMPTrapTarget
extends CIM_RemotePort

SNMPTrapTarget contains information describing a remote system, to which Informs and Traps are sent. An SNMPService is related via a ServiceSAPDependency association to one or more instances of this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_RemoteServiceAccessPoint
|
+--CIM_RemotePort
|
+--CIM_SNMPTrapTarget

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | SNMPTrapTarget contains information describing a remote system, to which Informs and Traps are sent. An SNMPService is related via a ServiceSAPDependency association to one or more instances of this class.
UMLPackagePath | string | CIM::Network::SNMP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessInfo | string |
Description | string | The host address.
ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.InfoFormat
Override | string | AccessInfo
CommunityString | string |
Description | string | A community string/password to send with the trap operation.
NotificationMessage | uint16 | 1
Description | string | Allows the selection of the notification message - Traps or Informs. By default, Traps are selected.
ValueMap | string | 1, 2
Values | string | Traps, Informs
PortInfo | string | 162
Description | string | The UDP port number to which the traps/informs are sent. The default is port 162.
ModelCorrespondence | string | CIM_RemotePort.PortProtocol
Override | string | PortInfo
PortProtocol | uint16 | 3
Description | string | A UDP port to which the traps/informs are sent.
ModelCorrespondence | string | CIM_RemotePort.OtherProtocolDescription
Override | string | PortProtocol
ValueMap | string | 1, 2, 3, 32768..65535
Values | string | Other, TCP, UDP, Vendor Specific
SNMPVersion | uint16 |
Description | string | The SNMP version used to send the traps or informs. Note that v1 does not support informs.
ValueMap | string | 1, 2, 3
Values | string | v1, v2C, v3

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessContext | uint16 | CIM_RemoteServiceAccessPoint
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InfoFormat | uint16 | CIM_RemoteServiceAccessPoint
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherAccessContext | string | CIM_RemoteServiceAccessPoint
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherInfoFormatDescription | string | CIM_RemoteServiceAccessPoint
OtherProtocolDescription | string | CIM_RemotePort
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement